Categories:
  - Theming
License: GPL-3.0-only
WebSite: https://xphnx.gitlab.io/ameixa
SourceCode: https://gitlab.com/xphnx/ameixa
IssueTracker: https://gitlab.com/xphnx/ameixa/issues
Changelog: https://gitlab.com/xphnx/ameixa/-/tags

AutoName: Ameixa Monochrome
Description: |-
  Ameixa Monochrome is a Material Design inspired icon theme aiming to
  provide a consistent and minimalistic look to your device. This theme
  supports mainly FLOSS apps icons. There is also a colored version
  available https://f-droid.org/packages/org.xphnx.ameixa.

  Suported launchers:

  * Trebuchet
  * Kiss
  * Nova
  * Apex
  * Holo
  * Asus
  * Adw
  * and many more

RepoType: git
Repo: https://gitlab.com/xphnx/ameixa.git

Builds:
  - versionName: 3.0.7-alpha
    versionCode: 46
    commit: v3.0.7
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.9
    versionCode: 47
    commit: v3.0.9
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.2
    versionCode: 52
    commit: v3.1.2
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.3
    versionCode: 53
    commit: v3.1.3
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.4
    versionCode: 54
    commit: v3.1.4
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.0
    versionCode: 58
    commit: v4.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.3
    versionCode: 403
    commit: v4.0.3
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.4
    versionCode: 404
    commit: v4.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.5
    versionCode: 405
    commit: v4.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.6
    versionCode: 406
    commit: v4.0.6
    subdir: app
    gradle:
      - yes

  - versionName: 4.1.0
    versionCode: 410
    commit: v4.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 4.1.1
    versionCode: 411
    commit: v4.1.1
    subdir: app
    gradle:
      - yes

  - versionName: 4.1.2
    versionCode: 412
    commit: v4.1.2
    subdir: app
    gradle:
      - yes

  - versionName: 4.1.3
    versionCode: 413
    commit: v4.1.3
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.1.4
    versionCode: 414
    commit: v4.1.4
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.2.1
    versionCode: 421
    commit: v4.2.1
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.2.2
    versionCode: 422
    commit: v4.2.2
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.3.0
    versionCode: 430
    commit: v4.3.0
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.4.0
    versionCode: 440
    commit: v4.4.0
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.5.1
    versionCode: 451
    commit: v4.5.1
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.6.0
    versionCode: 460
    commit: v4.6.0
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.7.0
    versionCode: 470
    commit: v4.7.0
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.7.1
    versionCode: 471
    commit: v4.7.1
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.7.2
    versionCode: 472
    commit: v4.7.2
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.8.1
    versionCode: 481
    commit: v4.8.1
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.9.0
    versionCode: 490
    commit: 1200adce6397eac086be059f68ae2c53e3911b9e
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.9.1
    versionCode: 491
    commit: f91dc044973e3d148ca9f4dff6fa8e28b0f93abb
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.10.0
    versionCode: 4100
    commit: 0fbec146c96c2a15b7d79c7a2842553f35ee0cda
    subdir: app
    gradle:
      - monochromatic
    prebuild: sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
      build.gradle

  - versionName: 4.11.0
    versionCode: 4110
    commit: 2dc1dfc73b46da00e63ec06605f5ec5ea1e1b0e9
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get remove openjdk-17-jdk-headless openjdk-17-jre-headless
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
    gradle:
      - monochromatic
    prebuild:
      - sed -i -e 's/applicationIdSuffix "monochrome"/applicationId "org.xphnx.ameixamonochrome"/'
        build.gradle
      - sed -i -e 's/gradle:4.1.1/gradle:4.2.0/' ../build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 4.11.0
CurrentVersionCode: 4110
